import React from "react";
import { MatrixEvent } from "matrix-js-sdk/src/matrix";
interface IProps {
    mxEvent: MatrixEvent;
    ignoreEdits?: boolean;
    onFinished(): void;
}
interface IState {
    isEditing: boolean;
}
export default class ViewSource extends React.Component<IProps, IState> {
    constructor(props: IProps);
    private onBack;
    private onEdit;
    private viewSourceContent;
    private editSourceContent;
    private canSendStateEvent;
    render(): React.ReactNode;
}
export {};
